Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1570287 - [abrt] __video_do_ioctl: WARNING: CPU: 1 PID: 4598 at drivers/media/v4l2-core/v4l2-ioctl.c:1291 v4l_enum_fmt+0x105b/0x1360 [videodev] [videodev] [NEEDINFO]
Summary: [abrt] __video_do_ioctl: WARNING: CPU: 1 PID: 4598 at drivers/media/v4l2-core...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c21bdf3d4bab937ef724491047a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-21 15:01 UTC by Aditya Shah
Modified: 2018-08-29 15:04 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 15:04:40 UTC
Type: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (89.54 KB, text/plain)
2018-04-21 15:01 UTC, Aditya Shah
no flags Details

Description Aditya Shah 2018-04-21 15:01:41 UTC
Additional info:
reporter:       libreport-2.9.3
WARNING: CPU: 1 PID: 4598 at drivers/media/v4l2-core/v4l2-ioctl.c:1291 v4l_enum_fmt+0x105b/0x1360 [videodev]
Modules linked in: thunderbolt nvmem_core ccm rfcomm fuse nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables arc4 bnep sunrpc xfs vfat fat libcrc32c ath10k_pci ath10k_core mac80211 snd_hda_codec_hdmi snd_soc_skl iTCO_wdt mei_wdt iTCO_vendor_support snd_soc_skl_ipc intel_rapl snd_hda_ext_core ath dell_wmi dell_smbios_smm snd_soc_sst_dsp snd_soc_sst_ipc dell_smbios_wmi dell_laptop snd_soc_acpi x86_pkg_temp_thermal
 intel_powerclamp dell_smbios hid_multitouch wmi_bmof dell_wmi_descriptor intel_wmi_thunderbolt dcdbas coretemp cfg80211 snd_hda_codec_realtek snd_soc_core kvm_intel snd_hda_codec_generic kvm snd_compress snd_pcm_dmaengine ac97_bus rtsx_pci_ms memstick irqbypass crct10dif_pclmul crc32_pclmul snd_hda_intel ghash_clmulni_intel intel_cstate snd_hda_codec intel_uncore intel_rapl_perf btusb snd_hda_core btrtl btbcm btintel snd_hwdep snd_seq uvcvideo bluetooth snd_seq_device videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 snd_pcm videobuf2_core videodev joydev tpm_crb snd_timer media snd ecdh_generic rfkill i2c_i801 soundcore mei_me idma64 mei shpchp processor_thermal_device intel_lpss_pci intel_lpss intel_soc_dts_iosf intel_pch_thermal wmi pinctrl_sunrisepoint pinctrl_intel tpm_tis intel_hid
 int3400_thermal tpm_tis_core int3403_thermal sparse_keymap tpm acpi_thermal_rel int340x_thermal_zone acpi_pad binfmt_misc i915 i2c_algo_bit drm_kms_helper rtsx_pci_sdmmc mmc_core drm i2c_hid nvme crc32c_intel nvme_core rtsx_pci serio_raw video
CPU: 1 PID: 4598 Comm: AudioThread Not tainted 4.15.17-300.fc27.x86_64 #1
Hardware name: Dell Inc. XPS 13 9370/0F6P3V, BIOS 1.2.1 02/21/2018
RIP: 0010:v4l_enum_fmt+0x105b/0x1360 [videodev]
RSP: 0018:ffffbbe446ce3c88 EFLAGS: 00010286
RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000096 RDI: ffff9cd6ae4568f0
RBP: ffffbbe446ce3d90 R08: 000000000000049a R09: 0000000000000004
R10: ffff9cd65cacaa00 R11: 0000000000000001 R12: ffff9cd55b611b00
R13: ffffffffc0656900 R14: ffff9cd65cacaa80 R15: ffff9cd55b611b00
FS:  00007f6c43fff700(0000) GS:ffff9cd6ae440000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000002e0e040 CR3: 00000003a0ec8001 CR4: 00000000003606e0
Call Trace:
 __video_do_ioctl+0x36e/0x380 [videodev]
 ? page_add_file_rmap+0xbf/0x210
 ? alloc_set_pte+0x227/0x570
 video_usercopy+0xbc/0x5e0 [videodev]
 ? video_ioctl2+0x20/0x20 [videodev]
 ? __seccomp_filter+0x43/0x560
 v4l2_ioctl+0xc1/0xe0 [videodev]
 do_vfs_ioctl+0xa4/0x620
 SyS_ioctl+0x74/0x80
 do_syscall_64+0x74/0x180
 entry_SYSCALL_64_after_hwframe+0x3d/0xa2
RIP: 0033:0x3153ae0567
RSP: 002b:00007f6c43ffe4d8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
RAX: ffffffffffffffda RBX: 00007f6c43ffe6b0 RCX: 0000003153ae0567
RDX: 00007f6c43ffe6b0 RSI: 00000000c0405602 RDI: 000000000000006a
RBP: 0000000080685600 R08: 00000000000022f0 R09: 0000000000000020
R10: 00007f6c38000078 R11: 0000000000000246 R12: 00007f6c43ffe648
R13: 00007f6c43ffe508 R14: 000000000000006a R15: 00007f6c43ffe750
Code: 30 0f 84 4a 02 00 00 3d 4a 4c 32 30 0f 84 2d 02 00 00 3d 4d 33 31 30 0f 84 10 02 00 00 89 c6 48 c7 c7 2c 14 61 c0 e8 25 8f aa e8 <0f> 0b 80 7d 0c 00 0f 85 6c f0 ff ff 8b 45 2c 48 c7 c1 d3 07 61

Comment 1 Aditya Shah 2018-04-21 15:01:57 UTC
Created attachment 1425024 [details]
File: dmesg

Comment 2 denywuy 2018-04-23 15:12:34 UTC
Description of problem:
ACPI error/warnings always occurs. This problem occurs after update relating to Thunderbolt. After shutdown and restart.

Version-Release number of selected component:
kernel-core-4.15.17-300.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        BOOT_IMAGE=/vmlinuz-4.15.17-300.fc27.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
crash_function: __video_do_ioctl
kernel:         4.15.17-300.fc27.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 2267 at drivers/media/v4l2-core/v4l2-ioctl.c:1291 v4l_enum_fmt+0x105b/0x1360 [videodev]
Modules linked in: thunderbolt nvmem_core rfcomm fuse ccm nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables binfmt_misc bnep sunrpc vfat fat snd_hda_codec_hdmi arc4 ath10k_pci ath10k_core mac80211 snd_soc_skl snd_soc_skl_ipc snd_hda_ext_core snd_soc_sst_dsp intel_rapl snd_soc_sst_ipc snd_soc_acpi x86_pkg_temp_thermal intel_powerclamp ath snd_hda_codec_realtek snd_soc_core snd_hda_codec_generic
 coretemp cfg80211 mei_wdt kvm_intel iTCO_wdt iTCO_vendor_support snd_compress snd_pcm_dmaengine hid_multitouch ac97_bus dell_wmi dell_smbios_wmi wmi_bmof kvm dell_wmi_descriptor intel_wmi_thunderbolt rtsx_pci_ms memstick irqbypass crct10dif_pclmul crc32_pclmul dell_laptop dell_smbios_smm dell_smbios dcdbas ghash_clmulni_intel snd_hda_intel intel_cstate snd_hda_codec intel_uncore snd_hda_core intel_rapl_perf snd_hwdep snd_seq btusb btrtl snd_seq_device btbcm tpm_crb btintel snd_pcm bluetooth uvcvideo snd_timer snd videobuf2_vmalloc videobuf2_memops joydev videobuf2_v4l2 idma64 videobuf2_core i2c_i801 soundcore videodev mei_me ecdh_generic intel_lpss_pci rfkill cdc_acm mei media shpchp intel_lpss intel_pch_thermal processor_thermal_device intel_soc_dts_iosf wmi tpm_tis pinctrl_sunrisepoint
 tpm_tis_core intel_hid int3403_thermal tpm pinctrl_intel int340x_thermal_zone int3400_thermal sparse_keymap acpi_thermal_rel acpi_pad i915 rtsx_pci_sdmmc i2c_algo_bit mmc_core drm_kms_helper drm crc32c_intel nvme serio_raw nvme_core rtsx_pci i2c_hid video
CPU: 2 PID: 2267 Comm: AudioThread Not tainted 4.15.17-300.fc27.x86_64 #1
Hardware name: Dell Inc. XPS 13 9370/0H0VG3, BIOS 1.2.1 02/21/2018
RIP: 0010:v4l_enum_fmt+0x105b/0x1360 [videodev]
RSP: 0018:ffff966d02317c88 EFLAGS: 00010286
RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000096 RDI: ffff8933ee4968f0
RBP: ffff966d02317d90 R08: 0000000000000466 R09: 0000000000000004
R10: ffff89336501db00 R11: 0000000000000001 R12: ffff89337a80ae00
R13: ffffffffc096b900 R14: ffff89336501db00 R15: ffff89337a80ae00
FS:  00007eff892a5700(0000) GS:ffff8933ee480000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007eff892a3bd8 CR3: 000000023a838006 CR4: 00000000003606e0
Call Trace:
 __video_do_ioctl+0x36e/0x380 [videodev]
 ? path_openat+0x5ec/0x1590
 video_usercopy+0xbc/0x5e0 [videodev]
 ? video_ioctl2+0x20/0x20 [videodev]
 ? __handle_mm_fault+0xaea/0x12f0
 v4l2_ioctl+0xc1/0xe0 [videodev]
 do_vfs_ioctl+0xa4/0x620
 SyS_ioctl+0x74/0x80
 do_syscall_64+0x74/0x180
 entry_SYSCALL_64_after_hwframe+0x3d/0xa2
RIP: 0033:0x7effaa3290f7
RSP: 002b:00007eff892a4218 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
RAX: ffffffffffffffda RBX: 00007eff892a43d8 RCX: 00007effaa3290f7
RDX: 00007eff892a4460 RSI: 00000000c0405602 RDI: 0000000000000081
RBP: 00007eff892a44f0 R08: 0000000000000000 R09: 0000000000000000
R10: 0000000000000000 R11: 0000000000000246 R12: 00007eff892a43c1
R13: 0000000000000000 R14: 0000000000000081 R15: 00007eff892a4640
Code: 30 0f 84 4a 02 00 00 3d 4a 4c 32 30 0f 84 2d 02 00 00 3d 4d 33 31 30 0f 84 10 02 00 00 89 c6 48 c7 c7 2c 94 8f c0 e8 25 0f 7c c5 <0f> 0b 80 7d 0c 00 0f 85 6c f0 ff ff 8b 45 2c 48 c7 c1 d3 87 8f

Comment 3 Daniel Rindt 2018-05-14 15:43:48 UTC
Description of problem:
Started cheese application

Version-Release number of selected component:
kernel-core-4.16.7-200.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.7-200.fc27.x86_64 root=UUID=c2df5e58-2ef2-4528-ae29-4477a935df2f ro rhgb quiet LANG=de_DE.UTF-8 mem_sleep_default=deep
crash_function: __video_do_ioctl
kernel:         4.16.7-200.fc27.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 26882 at drivers/media/v4l2-core/v4l2-ioctl.c:1296 v4l_enum_fmt+0x10dc/0x13f0 [videodev]
Modules linked in: thunderbolt nvmem_core rfcomm fuse ccm nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 arc4 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables uhid cmac bnep sunrpc vfat fat snd_hda_codec_hdmi snd_soc_skl snd_soc_skl_ipc mei_wdt iTCO_wdt snd_hda_ext_core iTCO_vendor_support snd_hda_codec_realtek hid_multitouch snd_soc_sst_dsp dell_laptop dell_wmi snd_soc_sst_ipc dell_smbios snd_soc_acpi intel_wmi_thunderbolt snd_hda_codec_generic
 dcdbas dell_wmi_descriptor wmi_bmof snd_soc_core snd_compress snd_pcm_dmaengine ac97_bus intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm ath10k_pci ath10k_core irqbypass crct10dif_pclmul crc32_pclmul ghash_clmulni_intel intel_cstate intel_uncore mac80211 intel_rapl_perf snd_hda_intel snd_hda_codec snd_hda_core btusb snd_hwdep btrtl btbcm snd_seq btintel ath snd_seq_device bluetooth snd_pcm joydev cfg80211 uvcvideo idma64 videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common snd_timer rtsx_pci_ms videodev snd memstick mei_me soundcore i2c_i801 ecdh_generic intel_lpss_pci processor_thermal_device ucsi_acpi media rfkill mei shpchp intel_lpss intel_pch_thermal intel_soc_dts_iosf typec_ucsi pinctrl_sunrisepoint typec wmi intel_hid int3400_thermal int3403_thermal
 pinctrl_intel acpi_pad sparse_keymap int340x_thermal_zone acpi_thermal_rel binfmt_misc i915 i2c_algo_bit rtsx_pci_sdmmc drm_kms_helper mmc_core drm nvme crc32c_intel nvme_core serio_raw rtsx_pci i2c_hid video
CPU: 3 PID: 26882 Comm: chrome Not tainted 4.16.7-200.fc27.x86_64 #1
Hardware name: Dell Inc. XPS 13 9370/0F6P3V, BIOS 1.2.1 02/21/2018
RIP: 0010:v4l_enum_fmt+0x10dc/0x13f0 [videodev]
RSP: 0018:ffffb574463dfc88 EFLAGS: 00010286
RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000096 RDI: ffff9f89ee4d68f0
RBP: ffffb574463dfd90 R08: 0000000000000840 R09: 0000000000000004
R10: ffff9f897d3d9100 R11: 0000000000000001 R12: ffff9f89705d0300
R13: ffffffffc07fa9a0 R14: ffff9f897d3d9180 R15: ffff9f89705d0300
FS:  00007f2e179405c0(0000) GS:ffff9f89ee4c0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000055f24a1c88f0 CR3: 000000040acba001 CR4: 00000000003606e0
Call Trace:
 __video_do_ioctl+0x36e/0x380 [videodev]
 ? path_openat+0x5ec/0x1590
 video_usercopy+0xbc/0x5e0 [videodev]
 ? video_ioctl2+0x20/0x20 [videodev]
 v4l2_ioctl+0xc1/0xe0 [videodev]
 do_vfs_ioctl+0xa4/0x620
 SyS_ioctl+0x74/0x80
 do_syscall_64+0x74/0x180
 entry_SYSCALL_64_after_hwframe+0x3d/0xa2
RIP: 0033:0x7f2e116800f7
RSP: 002b:00007ffe6b17c978 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
RAX: ffffffffffffffda RBX: 00007ffe6b17cb30 RCX: 00007f2e116800f7
RDX: 00007ffe6b17cbb0 RSI: 00000000c0405602 RDI: 0000000000000019
RBP: 00007ffe6b17cc40 R08: 0000000000000000 R09: 00007ffe6b17c7d0
R10: 0000000000000000 R11: 0000000000000246 R12: 00007ffe6b17cd90
R13: 00007ffe6b17caf9 R14: 0000000000000000 R15: 0000000000000019
Code: c7 c6 2b 84 7a c0 e9 01 f0 ff ff 3d 4d 54 32 31 48 c7 c6 ce 77 7a c0 0f 84 ef ef ff ff 89 c6 48 c7 c7 80 84 7a c0 e8 b4 22 91 cb <0f> 0b 80 7d 0c 00 0f 85 f1 ef ff ff 8b 45 2c 48 c7 c1 93 77 7a

Comment 4 Justin M. Forbes 2018-07-23 15:09:06 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 5 Justin M. Forbes 2018-08-29 15:04:40 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.